Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
bugpreview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language =& $ini->variable( "eZBugMain", "Language" )
| $t
| $locale = new eZLocale( $Language )
| $bug = new eZBug( $BugID )
| $date =& $bug->created()
| $pri =& $bug->priority()
| $status =& $bug->status()
| $module =& $bug->module()
| $category =& $bug->category()
if( $pri) | else
| $bugLog = new eZBugLog()
| $logList = $bugLog->getByBug( $bug )

## Variable Documentation

## ◆ $bug

$bug = new eZBug( $BugID )

Definition at line 59 of file bugpreview.php.

Referenced by eZBugLog\bug(), eZBugLog\getByBug(), hasPermission(), send_email(), sendAssignedMail(), and eZBugLog\setBug().

## ◆ $bugLog

$bugLog = new eZBugLog()

Definition at line 123 of file bugpreview.php.

## ◆ $category

$category =& $bug->category()

Definition at line 73 of file bugpreview.php.

## ◆ $date

$date =& $bug->created()

Definition at line 66 of file bugpreview.php.

Referenced by ezpRestRequest\__construct(), eZAd\addPageView(), eZTip\addPageView(), eZCCTool\checkCC(), eZDateTime\dateEquals(), eZAppointment\dateTime(), eZGroupEvent\dateTime(), eZMySQLDB\dateToNative(), eZSQLite3DB\dateToNative(), eZXMLRPCDataTypeDecoder\decodeDateTime(), eZDate\equals(), filterRecurring(), eZLocale\format(), eZGroupEvent\getAllByDate(), eZGroupEvent\getAllByType(), eZGroupEvent\getByDate(), eZAppointment\getByDate(), eZTodo\getByDate(), eZGroupEvent\getByGroupType(), eZGroupEvent\getDate(), eZDate\isGreater(), eZResponseDate\makeDate(), eZResponseDate\makeTimestamp(), eZPageViewQuery\monthStats(), eZDate\move(), newOrders(), eZConsultation\setDate(), eZOrderItem\setExpiryDate(), eZGroupEvent\setFinishDateNot(), eZGroupEvent\setRecurMonthlyType(), eZArticle\setStartDate(), eZQuizGame\setStartDate(), eZArticle\setStopDate(), eZQuizGame\setStopDate(), eZAppointment\startTime(), eZGroupEvent\startTime(), eZAppointment\stopTime(), eZGroupEvent\stopTime(), eZConsultation\store(), eZPageView\store(), eZCompany\viewCount(), and eZCompany\yearViewCounts().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file bugpreview.php.

## ◆ $Language

$Language =& $ini->variable( "eZBugMain", "Language" )

Definition at line 35 of file bugpreview.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 58 of file bugpreview.php.

## ◆ $logList

$logList = $bugLog->getByBug( $bug )

Definition at line 124 of file bugpreview.php.

Referenced by eZUpdateDebugSettings(), and ezpRestDebug\updateDebugSettings().

## ◆ $module

$module =& $bug->module()

Definition at line 72 of file bugpreview.php.

## ◆ $pri

$pri =& $bug->priority()

Definition at line 70 of file bugpreview.php.

Referenced by eZBug\setPriority().

## ◆ $status

$status =& $bug->status()

Definition at line 71 of file bugpreview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
"kernel/ezbug/admin/intl", $Language, "bugpreview.php" )
$Language
$Language
Definition: bugpreview.php:35
$ini
$ini
Definition: bugpreview.php:33
eZTemplate
Definition: eztemplate.php:107

Definition at line 44 of file bugpreview.php.

## ◆ else

if (count($logList) > 0) else

Initial value:
{
$t->set_var( "priority_name", "" )
$t
$t
Definition: bugpreview.php:44

Definition at line 79 of file bugpreview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.